FAQ
Hi,

Is there any particular reason why pdflib 6 does not compile with PHP 4.3.9RC2.

ext/pdf/pdf.lo: In function `zif_pdf_open':
/usr/local/src/php-4.3.9RC2/ext/pdf/pdf.c:472: undefined reference to
`PDF_open_fp'
*** Error code 1

I would assume that we should ensure that we maintain the extensions
compatibility for the 4.3.X releases of PHP. A similar bug I found[1]
says that this is not a bug (which I would think it is), and that
users should use the PECL version of pdflib. If the pdflib extension
is not being maintained, should we not then package php 4.3.9 by
default to carry the pdflib files from PECL?

Regards
--jm

[1] http://bugs.php.net/bug.php?id=29297

Search Discussions

  • Derick Rethans at Sep 3, 2004 at 6:44 am

    On Thu, 2 Sep 2004, Jacques Marneweck wrote:

    Is there any particular reason why pdflib 6 does not compile with PHP 4.3.9RC2.

    ext/pdf/pdf.lo: In function `zif_pdf_open':
    /usr/local/src/php-4.3.9RC2/ext/pdf/pdf.c:472: undefined reference to
    `PDF_open_fp'
    *** Error code 1

    I would assume that we should ensure that we maintain the extensions
    compatibility for the 4.3.X releases of PHP. A similar bug I found[1]
    says that this is not a bug (which I would think it is), and that
    users should use the PECL version of pdflib. If the pdflib extension
    is not being maintained, should we not then package php 4.3.9 by
    default to carry the pdflib files from PECL?
    The pdflib in 4.3 works fine with pdflib 3-5, just not for 6. But of
    course configure needs to check for that. I also agree with you that
    pointing people to PECL for 4.3 is a bad idea too (though you can also
    just use pdflib 5 though).

    I also followed up on the bugreport.


    Derick

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
groupphp-internals @
categoriesphp
postedSep 2, '04 at 8:43p
activeSep 3, '04 at 6:44a
posts2
users2
websitephp.net

People

Translate

site design / logo © 2022 Grokbase